
Infrastructure - Task #6035

Story # 2192 (Closed): Implement NodeReplicationPolicy in Node Registry Service

Modify NodeAccess methods to include NodeReplicationPolicy attributes

2014-08-11 17:54 - Rob Nahf

Status: Closed Start date: 2014-08-11

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Milestone: None Story Points:  

Product Version: *   

Description

the attributes of NodeReplicationPolicy are 2 unsigned longs, and two lists (one of ObjectFormatIdentifiers, the other of

NodeReferences).  The NRPolicy doesn't need to be modeled itself, just the 4 attributes.

History

#1 - 2014-08-27 18:04 - Rob Nahf

code tested and committed to trunk (rev 14455).  Need to merge to latest v1 branch. 

#2 - 2014-08-27 18:04 - Rob Nahf

- Description updated

#3 - 2014-08-27 19:20 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

- translation missing: en.field_remaining_hours set to 0.0

building successfully in jenkins

#4 - 2014-09-02 18:34 - Rob Nahf

- Target version set to Release Backlog

#5 - 2014-09-24 18:07 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.5.0

#6 - 2014-11-13 21:37 - Rob Nahf

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#7 - 2015-01-06 18:41 - Dave Vieglais

- Target version changed from CCI-1.5.1 to CCI-2.0.0
